Loading...
Searching...
No Matches
Opm::Action::PyAction Class Reference

## Public Types

enum class | RunCount { single , unlimited , first_true }

## Public Member Functions

| PyAction (std::shared_ptr< const Python > python, const std::string &name, RunCount run_count, const std::string &module_file)
bool | run (EclipseState &ecl_state, Schedule &schedule, std::size_t report_step, SummaryState &st, const std::function< void(const std::string &, const std::vector< std::string > &)> &actionx_callback, const std::unordered_map< std::string, double > &target_wellpi={}) const
const std::string & | name () const
bool | ready (const State &state) const
bool | operator== (const PyAction &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static RunCount | from_string (std::string run_count)
static PyAction | serializationTestObject ()
static bool | valid_keyword (const std::string &keyword)

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Action/PyAction.hpp
- opm/input/eclipse/Schedule/Action/PyAction.cpp